Public Member Functions

# DistanceAnnotation::comp Struct Reference

## Public Member Functions
bool | operator() (const DistanceAnnotation *x, const DistanceAnnotation *y) const
| Compare two distance annotations.

## Detailed Description

Definition at line 35 of file mcf.h.

## Member Function Documentation

bool DistanceAnnotation::comp::operator() | ( | const DistanceAnnotation * | x,
|  | const DistanceAnnotation * | y |
| ) |  |  | const

Compare two distance annotations.

Parameters:

  | x | the first distance annotation
  | y | the second distance annotation

Returns:
  if x is better than y

Definition at line 422 of file mcf.cpp.

References DistanceAnnotation::GetAnnotation(), and Path::GetNode().

The documentation for this struct was generated from the following files:

- src/linkgraph/mcf.h
- src/linkgraph/mcf.cpp